function [ myaudio ] = mywavrecord( Nsec, fs, Nchan )
% recording speech/audio: Nsec seconds, Nchan channels, fs sampling frequency 
Nbit = 8; % for telecommunication quality speech 8 bits are used
recObj = audiorecorder( fs, Nbit, Nchan );
% pause % disp('Press any key and start speaking ...');
recordblocking( recObj, Nsec );
disp('End of recording!');
%play( recObj );
myaudio = getaudiodata( recObj );
myaudio = myaudio(round(fs/10):end);
%plot( myaudio );
